# WinStd: winstd::addrinfo Class Reference

winstd::addrinfo Class Reference
WinSock2 API

SID wrapper class. More...

`#include <WinStd/WinSock2.h>`

Inheritance diagram for winstd::addrinfo:

## Public Member Functions

| __declspec (deprecated("Use GetAddrInfoA")) bool get(PCSTR pNodeName
| Provides protocol-independent translation from a host name to an address. More...
| if (GetAddrInfoA(pNodeName, pServiceName, pHints, &h)==0)
virtual | ~addrinfo ()
| Frees address information. More...
Public Member Functions inherited from winstd::handle< PADDRINFOA, NULL >
| handle () noexcept
| Initializes a new class instance with the object handle set to INVAL.
| handle (handle_type h) noexcept
| Initializes a new class instance with an already available object handle. More...
| handle (handle< handle_type, INVAL > &&h) noexcept
| Move constructor. More...
handle< handle_type, INVAL > & | operator= (handle_type h) noexcept
| Attaches already available object handle. More...
handle< handle_type, INVAL > & | operator= (handle< handle_type, INVAL > &&h) noexcept
| Move assignment. More...
| operator handle_type () const
| Auto-typecasting operator. More...
handle_type *& | operator* () const
| Returns the object handle value when the object handle is a pointer to a value (class, struct, etc.). More...
handle_type * | operator& ()
| Returns the object handle reference. More...
handle_type | operator-> () const
| Provides object handle member access when the object handle is a pointer to a class or struct. More...
bool | operator! () const
| Tests if the object handle is INVAL. More...
bool | operator< (handle_type h) const
| Is handle less than? More...
bool | operator<= (handle_type h) const
| Is handle less than or equal to? More...
bool | operator>= (handle_type h) const
| Is handle greater than or equal to? More...
bool | operator> (handle_type h) const
| Is handle greater than? More...
bool | operator!= (handle_type h) const
| Is handle not equal to? More...
bool | operator== (handle_type h) const
| Is handle equal to? More...
void | attach (handle_type h) noexcept
| Sets a new object handle for the class. More...
handle_type | detach ()
| Dismisses the object handle from this class. More...
void | free ()
| Destroys the object.

## Public Attributes

PCSTR | pServiceName
PCSTR const ADDRINFOA * | pHints
else return | false

## Protected Member Functions

void | free_internal () noexcept override
| Frees address information. More...
virtual void | free_internal () noexcept=0
| Abstract member function that must be implemented by child classes to do the actual object destruction. More...

## Additional Inherited Members

Public Types inherited from winstd::handle< PADDRINFOA, NULL >
typedef PADDRINFOA | handle_type
| Datatype of the object handle this template class handles.
Static Public Attributes inherited from winstd::handle< PADDRINFOA, NULL >
static const PADDRINFOA | invalid
| Invalid handle value.
Protected Attributes inherited from winstd::handle< PADDRINFOA, NULL >
handle_type | m_h
| Object handle.

## Detailed Description

SID wrapper class.

## Constructor & Destructor Documentation

## ~addrinfo()

virtual winstd::addrinfo::~addrinfo | ( |  | ) |

inlinevirtual

Frees address information.

See also
  FreeAddrInfoW function

## Member Function Documentation

## __declspec()

winstd::addrinfo::__declspec | ( | deprecated("Use GetAddrInfoA") |  | ) |

Provides protocol-independent translation from a host name to an address.

See also
  GetAddrInfoW function

## free_internal()

void winstd::addrinfo::free_internal | ( |  | ) |

inlineoverrideprotectedvirtualnoexcept

Frees address information.

See also
  FreeAddrInfoW function

Implements winstd::handle< PADDRINFOA, NULL >.

## Member Data Documentation

## pHints

PCSTR const ADDRINFOA* winstd::addrinfo::pHints

Initial value:
{
handle_type h
winstd::handle< PADDRINFOA, NULL >::handle_type
PADDRINFOA handle_type
Datatype of the object handle this template class handles.
Definition: Common.h:608

The documentation for this class was generated from the following file:

- include/WinStd/WinSock2.h